# TODO:
# - some files are not packaged:
#   /usr/include/tuxpaint/tp_magic_api.h
#   /usr/share/doc/tuxpaint-dev/Makefile
#   /usr/share/doc/tuxpaint-dev/README.txt
#   /usr/share/doc/tuxpaint-dev/html/README.html
#   /usr/share/doc/tuxpaint-dev/tp_magic_example.c
# - some locales are not included
# - separate stamps to make them noarch
#
%define		stamps_ver	2009.06.28
Summary:	Tux Paint - A simple drawing program for children
Summary(pl.UTF-8):	Tux Paint - Prosty program do rysowania dla dzieci
Name:		tuxpaint
Version:	0.9.21
Release:	6
Epoch:		1
License:	GPL v2+
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/tuxpaint/%{name}-%{version}.tar.gz
# Source0-md5:	a88401d1860648098eeed819cff038fa
Source1:	http://dl.sourceforge.net/tuxpaint/%{name}-stamps-%{stamps_ver}.tar.gz
# Source1-md5:	06ceccd22074bdbf95c7c8776f7f49a9
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-vfolders.patch
Patch2:		%{name}-locale_names.patch
Patch3:		%{name}-ldflags.patch
Patch4:		%{name}-libpng15.patch
URL:		http://www.tuxpaint.org/
BuildRequires:	SDL_Pango-devel
BuildRequires:	SDL_image-devel >= 1.2.2
BuildRequires:	SDL_mixer-devel >= 1.2.4
BuildRequires:	SDL_ttf-devel >= 2.0.5
BuildRequires:	fribidi-devel
BuildRequires:	gettext-devel
BuildRequires:	libpaper-devel
BuildRequires:	librsvg-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11

%description
Tux Paint is a simple drawing program for young children (3-10 years
old). It is not meant as a general-purpose drawing tool. It is meant
to be fun and easy to use. Sound effects and a cartoon character help
let the user know what's going on, and keeps them entertained. There
are also extra-large cartoon-style mouse pointer shapes.

%description -l pl.UTF-8
Tux Paint jest prostym programem do rysowania dla dzieci (3-10 lat).
Nie jest on narzędziem służącym do nauki rysowania, lecz programem
łatwym w użyciu, służącym zabawie. Efekty dźwiękowe i komiksowy
charakter pomagają użytkownikowi w łatwym poruszaniu się po programie,
czyniąc go rozrywkowym. W programie jest także duży wskaźnik myszki
oraz przyciski utrzymane w stylu komiksowym.

%package stamps
Summary:	Tux Paint - Collection of "rubber stamp" images
Summary(pl.UTF-8):	Tux Paint - Kolekcja obrazów z "gumowej pieczątki"
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description stamps
This is a collection of "rubber stamp" images for Tux Paint.

%description stamps -l pl.UTF-8
Jest to kolekcja obrazów dla Tux Painta o nazwie "gumowa pieczątka".

%prep
%setup -q -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
install -d trans

%build
%{__make} \
	CC="%{__cc}" \
	PREFIX="%{_prefix}" \
	MAGIC_PREFIX="%{_libdir}/%{name}/plugins" \
	CONFDIR="%{_sysconfdir}" \
	DATA_PREFIX="%{_datadir}/tuxpaint" \
	DOC_PREFIX="%{_datadir}/doc" \
	ICON_PREFIX="%{_pixmapsdir}" \
	X11_ICON_PREFIX="%{_pixmapsdir}" \
	LOCALE_PREFIX="%{_datadir}/locale" \
	OPTFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}/%{name},%{_pixmapsdir},%{_desktopdir},%{_datadir}/%{name}/stamps}

%{__make} install \
	_prefix=$RPM_BUILD_ROOT%{_prefix}/ \
	MAGIC_PREFIX=$RPM_BUILD_ROOT%{_libdir}/%{name}/plugins \
	CONFDIR=$RPM_BUILD_ROOT%{_sysconfdir}/ \
	MAN_PREFIX=$RPM_BUILD_ROOT%{_mandir}/ \
	GNOME_PREFIX=$RPM_BUILD_ROOT%{_prefix}/ \
	KDE_PREFIX=$RPM_BUILD_ROOT%{_desktopdir}/ \
	X11_ICON_PREFIX=$RPM_BUILD_ROOT%{_pixmapsdir}/

install src/tuxpaint.conf $RPM_BUILD_ROOT%{_sysconfdir}
install data/images/icon48x48.png $RPM_BUILD_ROOT%{_pixmapsdir}/tuxpaint.png

%{__make} -C %{name}-stamps-%{stamps_ver} install-all \
	DATA_PREFIX=$RPM_BUILD_ROOT%{_datadir}/%{name}/

chmod -R a+rwx $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_datadir}/{doc/tuxpaint,gnome/apps,tuxpaint/CVS}

# don't know what to do with some locales - removed for now
rm -rf \
	$RPM_BUILD_ROOT%{_datadir}/locale/bo \
	$RPM_BUILD_ROOT%{_datadir}/locale/en_ZA \
	$RPM_BUILD_ROOT%{_datadir}/locale/gos \
	$RPM_BUILD_ROOT%{_datadir}/locale/oj \
	$RPM_BUILD_ROOT%{_datadir}/locale/shs \
	$RPM_BUILD_ROOT%{_datadir}/locale/son \
	$RPM_BUILD_ROOT%{_datadir}/locale/twi \
	$RPM_BUILD_ROOT%{_datadir}/locale/zam \
	$RPM_BUILD_ROOT%{_datadir}/locale/zw

# rm a lot of unwanted files and directories:
find docs/ -type d|grep CVS|xargs rm -rf
find docs/ -name "[KC]OP*" -exec rm -f "{}" ";"
find docs/ -name "INS*" -exec rm -f "{}" ";"
find docs/ -name "AUT*" -exec rm -f "{}" ";"
find docs/ -size -50c -type f -exec rm -f "{}" ";"
find docs/ -empty |xargs rm -rf

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc docs/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*
%lang(pl) %{_mandir}/pl/man?/*
%{_sysconfdir}/tuxpaint.conf
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/plugins/
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/brushes
%{_datadir}/%{name}/fonts
%{_datadir}/%{name}/im
%{_datadir}/%{name}/images
%{_datadir}/%{name}/sounds
%{_datadir}/%{name}/starters
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%files stamps
%defattr(644,root,root,755)
%{_datadir}/%{name}/stamps
%changelog
* Fri Nov 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tuxpaint.git;a=log;h=master

* Fri Nov 08 2013 Jan Rękorajski <baggins@pld-linux.org> a76bbc9
- fix linking with libpng
- rel 6

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d3091e3
- release 5 (by relup.sh)

* Mon Feb 13 2012 Adam Gołębiowski <adamg@pld-linux.org> 037fd54
- new

* Mon Feb 13 2012 Adam Gołębiowski <adamg@pld-linux.org> 3f885c8
- release 4 (rebuild against libpng-1.5)

* Mon Feb 13 2012 Adam Gołębiowski <adamg@pld-linux.org> 858b218
- fix for "mixed implict and normal rules"

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b311062
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 86a8424
- release 2

* Fri Nov 27 2009 sparky <sparky@pld-linux.org> 2ff46f3
- fixed locale regeneration
- TODO: put stamps in separated spec
- BR: rpm-pythonprov

* Mon Jun 29 2009 lisu <lisu@pld-linux.org> b3feaa4
- update for 0.9.21

* Mon Jun 29 2009 lisu <lisu@pld-linux.org> 1b589f6
- pass LDFLAGS

* Mon Jun 29 2009 lisu <lisu@pld-linux.org> 0f362fe
- updated to 0.9.21
- stamps updated to 2009.06.28
- missing BRs: fribidi-devel, pkgconfig
- pass LDFLAGS when linking (-ldflags.patch)
- remove more unwatnted locales

* Wed Sep 03 2008 arvenil <arvenil@pld-linux.org> b9cf235
- up to 0.9.20

* Wed Sep 03 2008 arvenil <arvenil@pld-linux.org> b8495f4
- up to 0.9.20
- pt_PT -> pt
- pass %{_libdir} to Makefile
- packaged more files
- added TODO
- adapter

* Tue Apr 15 2008 mguevara <mguevara@pld-linux.org> 6c023d7
- make install-all instead of make install for stamps

* Tue Apr 15 2008 mguevara <mguevara@pld-linux.org> ca00527
- 0.9.19-1, epoch 1 for easier upgrade from Ac

* Tue Apr 15 2008 mguevara <mguevara@pld-linux.org> e6c8dd0
- tuxpaint-locale_names.patch updated, added br librsvg-devel, changed
  sourceforge download urls

* Tue Apr 15 2008 mguevara <mguevara@pld-linux.org> 82863b6
- up to 0.9.19

* Wed Mar 05 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 81d2496
- cross patchs

* Wed Mar 05 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 87c5335
- up to 0.9.19, stamp 2008.03.01, NFY

* Sat Jan 26 2008 Bartłomiej Zimoń <cactus@pld-linux.org> 3f27e03
- plugins added

